List Policies
curl --request GET \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/policies \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/policies"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "550e8400-e29b-41d4-a716-446655440100",
"companyId": "550e8400-e29b-41d4-a716-446655440000",
"number": "POL-2025-001",
"createdAt": "2025-01-15T10:30:00.000Z",
"primaryInsuredId": "550e8400-e29b-41d4-a716-446655440200"
},
{
"id": "550e8400-e29b-41d4-a716-446655440101",
"companyId": "550e8400-e29b-41d4-a716-446655440000",
"number": "POL-2025-002",
"createdAt": "2025-01-16T14:20:00.000Z",
"primaryInsuredId": "550e8400-e29b-41d4-a716-446655440201"
}
],
"totalCount": 42
}Policies
List Policies
Returns a paginated list of policies for the company.
Filtering:
primaryInsuredId- Filter by primary insured IDfilterText- Text search across policy number and other fields
Sorting:
createdAt(default),updatedAt,number,startsAtDate,endsAtDate
Required permission: company.policy:read
GET
/
api
/
external
/
companies
/
{companyId}
/
policies
List Policies
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Query Parameters
Filter by primary insured ID
Search across quote number, description, and other text fields
Field to sort by (default createdAt)
Available options:
createdAt, updatedAt, number, startsAtDate, endsAtDate Sort direction (default desc)
Available options:
asc, desc Page number (1-based, default 1, page size 50)
Required range:
x >= 1Was this page helpful?
